Fetching user information
This short article explains how you can fetch information about current user.
To use this endpoint, ensure that authentication is performed beforehand. Refer to the Getting Started guide for detailed instructions. This endpoint provides all details about current user.
get
Responses
200
OK
responsestatusstring · enumOptionalPossible values:
erroridstring · nullableOptional
errormessagestring · nullableOptional
errorcodeinteger · int32 · nullableRead-onlyOptional
Numeric representation of the responsestatus field.
401
Unauthorized
get/user/me
GET /user/me HTTP/1.1
Host: api-public.filemail.com
Accept: */*
{
"responsestatus": "OK",
"errorid": "text",
"errormessage": "text",
"data": {
"maxdownloads": 1,
"maxdays": 1,
"maxtransfersize": 1,
"membershipname": "text",
"istrial": true,
"defaultnotify": true,
"defaultdays": 1,
"defaultconfirmation": true,
"defaultdownloads": 1,
"id": "text",
"dlc": "text",
"name": "text",
"intercomhash": "text",
"email": "text",
"mobilephone": "text",
"signature": "text",
"defaultsubject": "text",
"country": "text",
"newsletter": true,
"allowCommunicationEmails": true,
"startpage": "text",
"created": 1,
"ssoPlatform": "text",
"cansend": true,
"expired": true,
"emailverifiedforsending": true,
"freelimitreached": true,
"companyname": "text",
"companyid": "text",
"admin": true,
"role": 1,
"forcepasswordonincoming": true,
"canreceivefiles": true,
"buttonscolor": "text",
"buttonstextcolor": "text",
"companylogo": "text",
"showallrecipients": true,
"canstorefilesforever": true,
"enforcepasswordpolicy": true,
"udpenabled": true,
"allowunlimiteddays": true,
"allow3months": true,
"canAccessOthersFiles": true,
"subscription": {
"active": true,
"expireDate": 1,
"currency": "text",
"interval": "text",
"membershipname": "text",
"showExVatLabelOnPrices": true,
"allowMultipleUsers": true,
"licenseCount": 1,
"licensePrice": 1,
"pricePerTBPerUser": 1,
"subscriptionPrice_Users": 1,
"subscriptionPrice_Storage": 1,
"subscriptionPrice_Total": 1,
"paymentGateway": "PayPal",
"licensesInUse": 1,
"canChangePlan": {
"state": "active",
"reason": "text",
"link": "text"
},
"canUpdatePaymentMethod": {
"state": "active",
"reason": "text",
"link": "text"
},
"changeSubscriptionMobileAppLink": "text",
"canChangeInterval": {
"state": "active",
"reason": "text",
"link": "text"
},
"canManageLicenses": {
"state": "active",
"reason": "text",
"link": "text"
},
"canChangeLicenseCount": {
"state": "active",
"reason": "text",
"link": "text"
},
"canCancel": {
"state": "active",
"reason": "text",
"link": "text"
},
"canUpgrade": {
"state": "active",
"reason": "text",
"link": "text"
},
"isTrial": true,
"nextPaymentDate": 1,
"paymentMethod": {
"paymentMethod": "PayPal",
"creditCardBrand": "text",
"creditCardLast4": "text",
"creditCardName": "text",
"creditCardExpireYear": 1,
"creditCardExpireMonth": 1,
"payPalEmail": "text",
"paymentMethodTextInfo": "text"
},
"storageBytesInUse": 1,
"storageBytesLimit": 1,
"storageBytesIncludedInMembership": 1,
"storageBytesAdditional": 1
},
"storageinuse": 1,
"storagelimit": 1,
"passwordMinLength": 1,
"contactgroups": [
{
"numberofcontacts": 1,
"contactgroupid": "text",
"contactgroupname": "text",
"corp_shared": true,
"allow_edit": true,
"contacts": [
{
"contactid": "text",
"name": "text",
"email": "text",
"mobile": "text",
"corp_shared": true,
"allow_edit": true,
"groups": "[Circular Reference]"
}
]
}
],
"twoFactorEnabled": true,
"loglevel": "text",
"maxrecipients": 1,
"maxrecipientsaftertrial": 1,
"allowautodownloads": true,
"allowpasswordprotection": true,
"allowdownloadtracking": true,
"allowe2ee": true,
"allowfilesdb": true,
"allowPortals": true,
"allowMultiplePortals": true,
"canManageSubscription": true,
"requireE2EEwhenSending": true,
"requireE2EEwhenReceiving": true,
"canSetDataRegion": {
"state": "active",
"reason": "text",
"link": "text"
},
"dataRegionOptions": [
"text"
],
"defaultDataRegion": "text"
},
"errorcode": 1
}Last updated
Was this helpful?
